Bug 10419 - Failure to move object from one site to another
Failure to move object from one site to another
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.1.4
All All
: P1 critical
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on: 10569
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-05 16:36 UTC by Peter Gerritsen
Modified: 2016-07-28 23:41 UTC (History)
5 users (show)

See Also:


Attachments
attachment-2702665-0.html (deleted)
2015-12-21 11:31 UTC, Peter Gerritsen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Gerritsen 2014-02-05 16:36:48 UTC
We use samba4 for a while now and i’ve always been able to move a machine from the default-first-site-name to a newly created site but since the recent version (sadly i don’t now exactly which) but for sure with 4.0.13, 4.1.3 and 4.1.4 that became impossible. Resulting in a crashing AD Sites and Services application and a crash in samba4 (need to restart samba4 to be able to open AD Sites and Services again). This is what i see with loglevel 10 at the moment of move. I have the same at multiple sites (different customers). I know it worked flawlesly with samba 4.0.6 and if i am correct also with 4.0.11 but i can’t test that anymore.

[2014/02/05 15:28:48.545824, 10, pid=4165, effective(0, 0), real(0, 0), class=ldb] ../lib/ldb-samba/ldb_wrap.c:71(ldb_wrap_debug)
  ldb: ldb_trace_response: ENTRY
  dn:
  namingContexts: DC=ontdekkingsreis,DC=andolan
  namingContexts: CN=Configuration,DC=ontdekkingsreis,DC=andolan
  namingContexts: CN=Schema,CN=Configuration,DC=ontdekkingsreis,DC=andolan
  namingContexts: DC=DomainDnsZones,DC=ontdekkingsreis,DC=andolan
  namingContexts: DC=ForestDnsZones,DC=ontdekkingsreis,DC=andolan

[2014/02/05 15:28:48.545915, 10, pid=4165, effective(0, 0), real(0, 0), class=ldb] ../lib/ldb-samba/ldb_wrap.c:71(ldb_wrap_debug)
  ldb: ldb_trace_response: DONE
  error: 0

[2014/02/05 15:28:48.545976, 10, pid=4165, effective(0, 0), real(0, 0), class=ldb] ../lib/ldb-samba/ldb_wrap.c:71(ldb_wrap_debug)
  ldb: ldb_asprintf/set_errstring: subtree_rename: Cannot move CN=NTDS Settings,CN=AD,CN=Servers,CN=Default-First-Site-Name,CN=Sites,CN=Configuration,DC=ontdekkingsreis,DC=andolan to CN=NTDS Settings,CN=AD,CN=Servers,CN=Ontdekkingsreis,CN=Sites,CN=Configuration,DC=ontdekkingsreis,DC=andolan in config partition
[2014/02/05 15:28:52.384792, 10, pid=4168, effective(0, 0), real(0, 0), class=ldb] ../lib/ldb-samba/ldb_wrap.c:71(ldb_wrap_debug)
  ldb: ldb_trace_request: SEARCH
   dn: DC=DomainDnsZones,DC=ontdekkingsreis,DC=andolan
   scope: base
   expr: (|(objectClass=*)(distinguishedName=*))
   attr: repsTo
   control: <NONE>

[2014/02/05 15:28:52.385136, 10, pid=4168, effective(0, 0), real(0, 0), class=ldb] ../lib/ldb-samba/ldb_wrap.c:71(ldb_wrap_debug)
  ldb: ldb_trace_request: (resolve_oids)->search
Comment 1 Peter Gerritsen 2014-02-23 19:12:02 UTC
This is now becoming a real problem for us. Since we can't get a location of a customer working properly. It would be very much appreciated as this can be looked into. If I could help sending more info please tell me what and how. Also a workaround could be fine for now. Thanks a lot.
Comment 2 Peter Gerritsen 2014-11-04 23:06:47 UTC
I am very sad to hear that is postponed to version 4.3 since it's a very real and problematic bug. I hope somebody will look in to this soon especially since it used to work before!

Met vriendelijke groet,

Peter Gerritsen
Engineer
 
AndoBurg BV
Voorstraat 31
3931 HB Woudenberg
T 033 479 40 80
F 033 479 40 89
E peter@andoburg.com
I www.andoburg.com

Als u niet de geadresseerde van dit bericht bent, verzoeken wij u ons hiervan op de hoogte te brengen en het bericht te verwijderen. AndoBurg BV aanvaardt geen aansprakelijkheid voor schade die voortvloeit uit elektronische verzending van informatie. Aan de inhoud van deze e-mail en eventuele bijlagen kunnen geen rechten worden ontleend, tenzij schriftelijk anders is overeengekomen. 


-----Oorspronkelijk bericht-----
Van: samba-bugs@samba.org [mailto:samba-bugs@samba.org] 
Verzonden: dinsdag 4 november 2014 12:51
Aan: Peter Gerritsen
Onderwerp: [Bug 10419] Failure to move object from one site to another

https://bugzilla.samba.org/show_bug.cgi?id=10419

Stefan (metze) Metzmacher <metze@samba.org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Blocks|10077                       |10695
Comment 3 Stefan Metzmacher 2014-11-05 07:31:52 UTC
(In reply to Peter Gerritsen from comment #2)

Please note once we have a fix for this it will be backported
to older branches.

It's just not a blocker for a 4.2.0 release.
Comment 6 Andrew Bartlett 2015-12-21 21:47:17 UTC
Please re-test on 4.3, and if you can make Samba crash, please post a backtrace. 

However note that we have no automated tests for moving Samba DCs between sites, so it may be better to create the site, and let the server be placed in it automatically via the subnet lookup.

Tools to manage subnets should be part of Samba 4.4.
Comment 7 Andrew Bartlett 2016-07-28 23:41:46 UTC
Please retry this with samba 4.5 RC1.  There have been a lot of fixes regarding moving objects specifically this fix in 4.2 and 4.1.9:

d3cd9f1575af18a6765a6b6a31811c9976f9c11e